import { DataTypes, Sequelize } from 'sequelize';
import { DATABASE_URI } from '$env/static/private';
import { dev } from '$app/environment';

export const sequelize = new Sequelize(DATABASE_URI, {
	// only log sql queries in dev mode
	logging: dev ? console.log : false
});

export const User = sequelize.define('user', {
	firstname: {
		type: DataTypes.STRING,
		allowNull: false
	},
	lastname: {
		type: DataTypes.STRING,
		allowNull: false
	},
	birthday: {
		type: DataTypes.DATE,
		allowNull: false
	},
	telephone: DataTypes.STRING,
	username: {
		type: DataTypes.STRING,
		allowNull: false
	},
	playertype: {
		type: DataTypes.ENUM('java', 'bedrock', 'cracked'),
		allowNull: false
	},
	password: DataTypes.TEXT,
	uuid: {
		type: DataTypes.UUIDV4,
		allowNull: false
	}
});
